---
title: Business
slug: eco/nGPZ-business
docTags: 
createdAt: 2025-02-05T09:29:54.585Z
---

:::ApiMethodV2
```json
{
  "name": "Request report of business user",
  "method": "GET",
  "url": "https://api-sandbox.klavi.ai/data/eco/v1/business/report",
  "description": "Get report by business user's CNPJ.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "2UzYwFqk7TfUT7ojEKAei",
        "language": "curl",
        "code": "curl --location 'https://api-sandbox.klavi.ai/data/eco/v1/business/report?taxId=string&kycVerified=true&product=string' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      },
      {
        "id": "mG4W9hpPg-jy1Rqsg8R-f",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': 'https://api-sandbox.klavi.ai/data/eco/v1/business/report?taxId=string&kycVerified=true&product=string',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "YBVm3b7Ltx6qk3CsvZJNW",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api-sandbox.klavi.ai/data/eco/v1/business/report?taxId=string&kycVerified=true&product=string\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "4PXQMEORoJtbxg3LfYShn",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api-sandbox.klavi.ai/data/eco/v1/business/report?taxId=string&kycVerified=true&product=string\"\n\npayload = {}\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "XALwsRkhGbtmlhzzd5lAQ",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-sandbox.klavi.ai/data/eco/v1/business/report?taxId=string&kycVerified=true&product=string\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "2UzYwFqk7TfUT7ojEKAei"
  },
  "results": {
    "languages": [
      {
        "id": "75M6sUiQynpVBEkJkuFbh",
        "language": "200",
        "customLabel": "",
        "code": ""
      }
    ],
    "selectedLanguageId": "75M6sUiQynpVBEkJkuFbh"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "taxId",
        "kind": "required",
        "type": "string",
        "description": "The number of the business user, the value is CNPJ:\nmaxLength: 14\nexample: 11111111111111\npattern: ^[0-9A-Z]{12}[0-9]{2}$",
        "": "The number of the business user, the value is CNPJ:\nmaxLength: 14\nexample: 11111111111111\npattern: ^[0-9A-Z]{12}[0-9]{2}$"
      },
      {
        "name": "kycVerified",
        "kind": "required",
        "type": "boolean",
        "description": "Has the end user completed the KYC process on the partner side. Only after completing the KYC process will corresponding data be generated, this means that you must pass \"true\" in order to generate the corresponding report.",
        "": "boolean"
      },
      {
        "name": "product",
        "kind": "required",
        "type": "string",
        "description": "Report name, fixed string\ngeneral, pj_user_identity_eco",
        "": "Report name, fixed string\ngeneral, pj_user_identity_eco"
      }
    ],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer access token, it returned by the /auth",
        "children": []
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "request-report-of-business-user",
  "legacyHash": "DYSt0seMX8jN_Qyad5SUb"
}
```
:::

:::hint{type="info"}
Please refer to [Conecte error code](https://docs.klavi.ai/connect/open-finance-codes-and-errors) for error codes.
:::

